window.afterInitTable = function () {
    InitResizableGrid('table.resizable-grid', getHeightTableHolder(95));
    InitGridMenu = function ($menu) {
        if ($menu) {            
            $menu.find('li.grid-filter').remove();
            $menu.find('li.grid-column-settings').remove();
            $menu.prepend($('<li class="grid-column-settings" onclick="return loadSettings();">' + GridMenuResources.ReportOptions + '</li>'));
        }
    };
};

function editReportSettings(stateId) {
    $('#filtercontrol').remove();

    if ($('#reportfilterholder #filter').length > 0){
        $('#reportfilterholder #filter').remove();
            }
    if ($('#reportfilterholder #columns').length > 0) {
        $('#reportfilterholder #columns').remove(); }

    if ($('#reportfilterholder #groups').length > 0) {
        $('#reportfilterholder #groups').remove(); }
            
    var urlf = base + tableController() + 'EditFilter';
    $('#rfilterholder').load(urlf, { timestamp: new Date().toDateString(), customPath: true, stateid: stateId, fill: true }, function () { initFilter(true); });
    
    var urlc = base + tableController() + 'EditColumns';
    $('#rcolumnsholder').load(urlc, { timestamp: new Date().toDateString(), customPath: true, stateid: stateId }, function() { initColumns(); $('#tb_group_field').change(checkForDate); $('#reportfilterholder').show(); });
    return false;
}
